<?php
function getvideo($id,$pid=2){
	$id=str_replace('|','@@',$id);
	$idr=explode('@@',$id);
	$idnum=count($idr);
	$hz='_sina';
	$pido=3;
	if($idnum==2){
		$pido=2;
	}
	if($idnum==1){
		$pido=1;
	}
	switch($pido){
		case '1':
		    $qvars=__BQ__.'_'.$id.$hz;
		    break;
		case '2':
		    $qvars=__BQ__.'_'.$id.$hz.'|'.__GQ__.'_'.$id.$hz;
		    break;
		case '3':
		    $qvars=__BQ__.'_'.$id.$hz.'|'.__GQ__.'_'.$id.$hz.'|'.__CQ__.'_'.$id.$hz;
		    break;
		default:
		    $qvars=__BQ__.'_'.$id.$hz;
			break;
		}
		$pidonum=min($pid,$pido);
		$vid=$idr[$pidonum-1];
		$content1 =get_curl_contents("http://v.iask.com/v_play.php?vid=".$vid);
		preg_match_all('~<url><!\[cdata\[(.*)\]\]></url>~iUs',$content1,$durl);
		preg_match_all('~<length>(.*)</length>~iUs',$content1,$durl2);
		$timer=$durl2[1];
		for($i=0;$i<count($durl[1]);$i++){
			$fileurl=$durl[1][$i];
			$filesec=$timer[$i]/1000;
			$filesize='';
			$urllist['urls'][$i]['url']=$fileurl;
			$urllist['urls'][$i]['size']=$filesize;
			$urllist['urls'][$i]['sec']=$filesec;
		}
		$urllist['vars']='{h->2}{a->'.$qvars.'}{f->'.__HOSTURL__.'?url=[$pat'.($pidonum-1).']}';
		return $urllist;
}
?>